<?php

if (!defined('SMF'))
	die('Hacking attempt... [install.php]');

db_query("CREATE TABLE {$db_prefix}affiliates_members(
	ID_MEMBER mediumint(8) unsigned PRIMARY KEY NOT NULL,
	ID_MEMBER_AFF mediumint(8) unsigned 
)", __FILE__, __LINE__);

db_query("CREATE TABLE {$db_prefix}affiliates_postings(
	ID_MSG INT UNSIGNED PRIMARY KEY NOT NULL,
	ID_MEMBER_AFF mediumint(8) unsigned NOT NULL, 
	points SMALLINT NOT NULL
)", __FILE__, __LINE__);

db_query("CREATE TABLE {$db_prefix}affiliates_ip(
	ip VARCHAR(16) NOT NULL,
	type ENUM('refer', 'visitor'),
	created DATETIME NOT NULL, 
	PRIMARY KEY(ip, type)
)", __FILE__, __LINE__);


db_query("CREATE TABLE {$db_prefix}affiliates_points(
	ID_MEMBER mediumint(8) unsigned PRIMARY KEY NOT NULL,
	points INT UNSIGNED NOT NULL
)", __FILE__, __LINE__);

db_query("CREATE TABLE {$db_prefix}affiliates_points_history(
	op_id BIGINT UNSIGNED PRIMARY KEY NOT NULL AUTO_INCREMENT,
	ID_MEMBER mediumint(8) unsigned NOT NULL,
	points SMALLINT NOT NULL,
	points_created DATETIME NOT NULL,
	points_from ENUM('post', 'refer', 'post_refer', 'visitor', 'pay', 'other')
)", __FILE__, __LINE__);

db_query("CREATE TABLE {$db_prefix}affiliates_cookie_ip(
	ip VARCHAR(16) NOT NULL,
	ID_MEMBER mediumint(8) unsigned NOT NULL,
	created DATETIME NOT NULL, 
	PRIMARY KEY(ip, ID_MEMBER)
)", __FILE__, __LINE__);

db_query("CREATE TABLE {$db_prefix}affiliates_points_other(
	op_id  BIGINT UNSIGNED NOT NULL,
	details VARCHAR(255) NOT NULL,
	created DATETIME NOT NULL
)", __FILE__, __LINE__);

db_query("CREATE TABLE {$db_prefix}affiliates_pays(
	op_id BIGINT UNSIGNED PRIMARY KEY NOT NULL AUTO_INCREMENT,
	ID_MEMBER mediumint(8) unsigned NOT NULL,
	points INT UNSIGNED NOT NULL,
	payment FLOAT NOT NULL,
	payment_date DATETIME NOT NULL,
	status ENUM('invoice', 'pay_not_mark', 'payed'),
	paypal_email VARCHAR(100) NOT NULL,
	egold_email VARCHAR(100) NOT NULL,
	transaction_id VARCHAR(100)
)", __FILE__, __LINE__);

db_query("INSERT INTO {$db_prefix}settings VALUES('affiliate_points_post', 20)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings VALUES('affiliate_points_refer', 100)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings VALUES('affiliate_points_post_refer', 10)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings VALUES('affiliate_points_visitor', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings VALUES('affiliate_points_post_minimum', 400)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings values('affiliate_points_cost', '0.01')", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings values('affiliate_withdraw_minimum', '1')", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings values('affiliate_post_reply', '0')", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings values('affiliate_file_banner', 'path/xxx.php')", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings values('affiliate_system', '1')", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings values('affiliate_system_paypal', '1')", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings values('affiliate_system_egold', '1')", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings values('affiliate_mail_refer', 'A new user has registered with you refer: |memberName|')", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings values('affiliate_mail_paid', 'Your invoice of $|payment| has been payed')", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings values('affiliate_mail_header_refer', 'New Affiliate Refer')", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings values('affiliate_mail_header_paid', 'Invoice Payment')", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings values('affiliate_mail_from', 'info@mysite.com')", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}settings values('affiliate_file_guest', 'path/xxx.txt')", __FILE__, __LINE__);
?>
